import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import com.mkaz.htmllib;

public class MKTest extends HttpServlet
{ 
    public void doGet (HttpServletRequest request, HttpServletResponse response) 
        throws ServletException, IOException
	{
		PrintWriter out;
		htmllib html = new htmllib();

        response.setContentType("text/html");
        out = response.getWriter();
            
		// HTML HEADER EXAMPLE - WHITE BACKGROUND
		out.println(html.header("com.mkaz.html.htmllib - Example","#FFFFFF"));
		out.println(html.h1("htmllib servlet example"));
		//---------------------------------------------------------------------		
		out.println("<P><HR></P>");
		//---------------------------------------------------------------------

		out.println("<P>Bold and Italic Example<BR>");
		out.println(html.b("Some bold")+" and "+html.i("italic text"));


		//---------------------------------------------------------------------
		out.println("<P><HR></P>");		
		//---------------------------------------------------------------------

		// HEADER EXAMPLES
		out.println(html.h1("Header 1"));
		out.println(html.h2("Header 2"));
		out.println(html.h3("Header 3"));
		out.println(html.h4("Header 4"));
		out.println(html.h5("Header 5"));
		out.println(html.h6("Header 6"));

		//---------------------------------------------------------------------		
		out.println("<P><HR></P>");
		//---------------------------------------------------------------------

		out.println("<P>"+html.b("LINK Example")+"<BR>");
		out.println(html.link("mkaz.com","http://www.mkaz.com/"));
		
		//---------------------------------------------------------------------		
		out.println("<P><HR></P>");
		//---------------------------------------------------------------------

		out.println("<P>"+html.b("3 Column Table Example"));
		out.println(html.table(4,0,1));
		out.println(html.hrow("COL1","COL2","COL3"));
		out.println(html.row("cell1","cell2","cell3"));
		out.println(html.row("cell4","cell5","cell6"));
		out.println(html.row("cell7","cell8","cell9"));
		out.println(html.endtable());


		//---------------------------------------------------------------------
		out.println("<P><HR></P>");
		//---------------------------------------------------------------------

		
		// ARRAY TABLE EXAMPLE

		// INITIALIZE 2-Dimensional ARRAY 
		int i,j;
		
		String[][] cells = new String[9][9];
		for (i=0; i<9; i++) {
			for (j=0; j<9; j++) {
				cells[i][j] = "cell " + i + " " + j;
			}
		}
		
		// OUTPUT TABLE USING ARRAY
		out.println("<P>"+html.b("Array Table Example"));
		out.println(html.table(2,0,1));
		for (i=0; i<9; i++) {
			out.println(html.row(cells[i]));
		}
		out.println(html.endtable());

		//---------------------------------------------------------------------
		out.println("<P><HR></P>");
		//---------------------------------------------------------------------


		out.println("</BODY></HTML>");
		out.close();
    }
}
 
